# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: libgtk+2-devel
# END SourceDeps(oneline)
%define oldname python-gtkextra
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Python bindings for gtkextra
Name: python-module-gtkextra
Version: 1.1.0
Release: alt1_21
# FIXME: the license is not quite clear, using the most restrictive license
# for this field.  See
# http://sourceforge.net/tracker/index.php?func=detail&aid=1941652&group_id=35371&atid=414148
License: GPLv2
URL: http://python-gtkextra.sourceforge.net
Group: Development/Python
Source0: http://downloads.sourceforge.net/%{oldname}/%{oldname}-%{version}.tar.gz
Patch0: python-gtkextra-1.1.0-update.patch
Patch1: python-gtkextra-1.1.0-codegenmoved.patch
# https://sourceforge.net/tracker/?func=detail&aid=2805069&group_id=35371&atid=414148
Patch2: python-gtkextra-1.1.0-Makefile.patch
# https://sourceforge.net/tracker/?func=detail&aid=3172768&group_id=35371&atid=414148
Patch3: python-gtkextra-1.1.0-PyCObject.patch
# https://sourceforge.net/tracker/?func=detail&aid=3368113&group_id=35371&atid=414148
Patch4: python-gtkextra-1.1.0-G_TYPE_ITEM_ENTRY.patch
BuildRequires: libgtk+extra2-devel python-module-pygtk-devel python-devel
# For autoreconf
BuildRequires: autoconf automake libtool
Requires: pygtk2%{?_isa}



Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/gtk-2.0/gtkextra/_gtkextramodule.so
# internal?
%filter_from_requires /^python2..._gtkextra./d

%description
This package provides a Python interface to the GtkExtra2 widget set for GTK2.

%prep
%setup -n %{oldname}-%{version} -q
%patch0 -p1 -b .update
%patch1 -p1 -b .codegenmoved
%patch2 -p1 -b .Makefile
%patch3 -p1 -b .PyCObject
%patch4 -p1 -b .G_TYPE_ITEM_ENTRY
autoreconf -fi

%build

%configure --disable-numpy
make %{?_smp_mflags}

%install
# Install __init__.py and _config.py to %{python_sitelibdir}
make install DESTDIR=$RPM_BUILD_ROOT \
	pygtkextradir='$(pyexecdir)/gtk-2.0/gtkextra'

%files
%doc AUTHORS ChangeLog COPYING README
%{python_sitelibdir}/gtk-2.0/gtkextra
%exclude %{python_sitelibdir}/gtk-2.0/gtkextra/_gtkextramodule.la
%{_libdir}/pkgconfig/python-gtkextra.pc
%{_datadir}/pygtk/2.0/defs/gtkextra*.defs

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_21
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_20
- initial fc import

